package org.jeecg.modules.industry.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.UnsupportedEncodingException;

/**
 * @Description: tb_industry
 * @Author: jeecg-boot
 * @Date:   2024-12-07
 * @Version: V1.0
 */
@Data
@TableName("tb_industry")
@ApiModel(value="tb_industry对象", description="tb_industry")
public class TbIndustry implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键id")
    private java.lang.String id;
	/**父id*/
	@Excel(name = "父id", width = 15)
    @ApiModelProperty(value = "父id")
    private java.lang.String parentId;
	/**行业名称*/
	@Excel(name = "行业名称", width = 15)
    @ApiModelProperty(value = "行业名称")
    private java.lang.String name;
	/**菜单类型(0:一级行业菜单; 1:工种菜单)*/
	@Excel(name = "菜单类型(0:一级行业菜单; 1:工种菜单)", width = 15, dicCode = "emp_menu_type")
	@Dict(dicCode = "emp_menu_type")
    @ApiModelProperty(value = "菜单类型(0:一级行业菜单; 1:工种菜单)")
    private java.lang.Integer menuType;
	/**排序*/
	@Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private java.lang.Double sortNo;
	/**图标*/
	@Excel(name = "图标", width = 15)
    @ApiModelProperty(value = "图标")
    private java.lang.String icon;
	/**是否叶子节点:    1:是   0:不是*/
	@Excel(name = "是否叶子节点:    1:是   0:不是", width = 15)
    @ApiModelProperty(value = "是否叶子节点:    1:是   0:不是")
    private java.lang.Integer isLeaf;
	/**描述*/
	@Excel(name = "描述", width = 15)
    @ApiModelProperty(value = "描述")
    private java.lang.String description;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "更新时间")
    private java.util.Date updateTime;
	/**删除状态 0正常 1已删除*/
	@Excel(name = "删除状态 0正常 1已删除", width = 15)
    @ApiModelProperty(value = "删除状态 0正常 1已删除")
    private java.lang.Integer delFlag;
	/**父级节点*/
	@Excel(name = "父级节点", width = 15)
    @ApiModelProperty(value = "父级节点")
    private java.lang.String pid;
	/**是否有子节点*/
	@Excel(name = "是否有子节点", width = 15, dicCode = "yn")
	@Dict(dicCode = "yn")
    @ApiModelProperty(value = "是否有子节点")
    private java.lang.String hasChild;
}
