package org.jeecg.modules.userRole.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: tb_user_role
 * @Author: jeecg-boot
 * @Date:   2024-12-07
 * @Version: V1.0
 */
@Data
@TableName("tb_user_role")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="tb_user_role对象", description="tb_user_role")
public class TbUserRole implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**用户id*/
	@Excel(name = "用户id", width = 15)
    @ApiModelProperty(value = "用户id")
    private java.lang.String userId;
	/**用户名*/
	@Excel(name = "用户名", width = 15)
    @ApiModelProperty(value = "用户名")
    private java.lang.String userName;
	/**公司名称*/
	@Excel(name = "公司名称", width = 15)
    @ApiModelProperty(value = "公司名称")
    private java.lang.String companyName;
	/**地址*/
	@Excel(name = "地址", width = 15)
    @ApiModelProperty(value = "地址")
    private java.lang.String companyAddress;
	/**地址*/
	@Excel(name = "地址", width = 15)
    @ApiModelProperty(value = "地址")
    private java.lang.String address;
	/**行业/工种*/
	@Excel(name = "行业/工种", width = 15)
    @ApiModelProperty(value = "行业/工种")
    private java.lang.String industryName;
	/**行业/工种id*/
	@Excel(name = "行业/工种id", width = 15)
    @ApiModelProperty(value = "行业/工种id")
    private java.lang.String industryId;
	/**个人简介*/
	@Excel(name = "个人简介", width = 15)
    @ApiModelProperty(value = "个人简介")
    private java.lang.String detail;
	/**身份证上传*/
	@Excel(name = "身份证上传", width = 15)
    @ApiModelProperty(value = "身份证上传")
    private java.lang.String idCard;
	/**电话*/
	@Excel(name = "电话", width = 15)
    @ApiModelProperty(value = "电话")
    private java.lang.String phone;
	/**年龄*/
	@Excel(name = "年龄", width = 15)
    @ApiModelProperty(value = "年龄")
    private java.lang.Integer age;
	/**性别*/
	@Excel(name = "性别", width = 15, dicCode = "sex")
	@Dict(dicCode = "sex")
    @ApiModelProperty(value = "性别")
    private java.lang.Integer gender;
	/**期望薪资最小值*/
	@Excel(name = "期望薪资最小值", width = 15)
    @ApiModelProperty(value = "期望薪资最小值")
    private java.lang.Integer moneyMin;
	/**期望薪资最大值*/
	@Excel(name = "期望薪资最大值", width = 15)
    @ApiModelProperty(value = "期望薪资最大值")
    private java.lang.Integer moneyMax;
	/**角色*/
	@Excel(name = "角色", width = 15, dicCode = "user_role")
	@Dict(dicCode = "user_role")
    @ApiModelProperty(value = "角色  用人方企业 1  用人方个人 0  2 求职方")
    private java.lang.Integer role;
	/**营业执照上传*/
	@Excel(name = "营业执照上传", width = 15)
    @ApiModelProperty(value = "营业执照上传")
    private java.lang.String businessLicense;
	/**审核状态 0审核中 1 审核通过 2审核未通过*/
	@Excel(name = "审核状态 0审核中 1 审核通过 2审核未通过", width = 15, dicCode = "audit_status")
	@Dict(dicCode = "audit_status")
    @ApiModelProperty(value = "审核状态 0审核中 1 审核通过 2审核未通过")
    private java.lang.Integer auditStatus;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
}
