package org.jeecg.modules.postBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: 角色表
 * @Author: jeecg-boot
 * @Date:   2024-10-16
 * @Version: V1.0
 */
@Data
@ApiModel(value="选择身份对象", description="选择身份对象")
public class ReqUserRole implements Serializable {
    private static final long serialVersionUID = 1L;



	/**用人方企业 1  用人方个人 0*/
	@Excel(name = "用人方企业 1  用人方个人 0", width = 15, dicCode = "user_role")
	@Dict(dicCode = "user_role")
    @ApiModelProperty(value = "用人方企业 1  用人方个人 0")
    private Integer role;
	/**用户名*/
	@Excel(name = "用户名", width = 15)
    @ApiModelProperty(value = "用户名")
    private String userName;
    @ApiModelProperty(value = "行业")
    private String industry;
//    @ApiModelProperty(value = "密码")
//    private String password;
	/**公司名称*/
	@Excel(name = "公司名称", width = 15)
    @ApiModelProperty(value = "公司名称")
    private String companyName;
//	/**税收编码*/
//	@Excel(name = "税收编码", width = 15)
//    @ApiModelProperty(value = "税收编码")
//    private String taxCode;
	/**公司地址*/
	@Excel(name = "公司地址", width = 15)
    @ApiModelProperty(value = "公司地址")
    private String address;
//	/**公司账号*/
//	@Excel(name = "公司账号", width = 15)
//    @ApiModelProperty(value = "公司账号")
//    private String bankAccount;
//	/**电话*/
//	@Excel(name = "电话", width = 15)
//    @ApiModelProperty(value = "电话")
//    private String phone;
//	/**开户行*/
//	@Excel(name = "开户行", width = 15)
//    @ApiModelProperty(value = "开户行")
//    private String bankNama;
	/**营业执照上传*/
	@Excel(name = "营业执照上传", width = 15)
    @ApiModelProperty(value = "营业执照上传")
    private String businessLicense;
//	/**基本户信息照片上传*/
//	@Excel(name = "基本户信息照片上传", width = 15)
//    @ApiModelProperty(value = "基本户信息照片上传")
//    private String basicAccount;
//	/**收款银行照片上传*/
//	@Excel(name = "收款银行照片上传", width = 15)
//    @ApiModelProperty(value = "收款银行照片上传")
//    private String bankInfo;
//	/**审核状态 0审核中 1 审核通过 2审核未通过*/
//	@Excel(name = "审核状态 0审核中 1 审核通过 2审核未通过", width = 15, dicCode = "audit_status")
//	@Dict(dicCode = "audit_status")
//    @ApiModelProperty(value = "审核状态 0审核中 1 审核通过 2审核未通过")
//    private Integer auditStatus;

}
