package org.jeecg.modules.userCode.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.util.RedisUtil;
import org.jeecg.config.shiro.ShiroRealm;
import org.jeecg.modules.userCode.service.IndexService;
import org.jeecg.modules.banner.entity.WebBanner;
import org.jeecg.modules.hanHaiMember.entity.HanHaiMember;
import org.jeecg.modules.postBean.SuggestReq;
import org.jeecg.modules.tbSuggest.entity.TbSuggest;
import org.jeecg.modules.tbSuggest.service.ITbSuggestService;
import org.springframework.beans.BeanUtils;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Author scott
 * @since 2018-12-17
 */
@RestController
@RequestMapping("/index")
@Api(tags = "首页等展示接口")
@Slf4j
public class IndexController {
    @Resource
    private ITbSuggestService tbSuggestService;
    @Resource
    private IndexService indexService;
    @Resource
    private ShiroRealm shiroRealm;
    @Resource
    private RedisUtil redisUtil;



    @ApiOperation(value = "我的头像昵称，平台客户电话等信息")
    @RequestMapping(value = "/index", method = RequestMethod.POST)
    public Result index(@RequestHeader("X-Access-Token") String token) {

        Result<?> indexInfo = indexService.getIndexInfo(token);

        return indexInfo;
    }


    @ApiOperation(value = "获取banner列表")
    @RequestMapping(value = "/bannerList", method = RequestMethod.POST)
    public Result<Map<Integer, List<WebBanner>>> bannerList(@RequestHeader("X-Access-Token") String token) {

        return indexService.bannerList();
    }


    @ApiOperation(value = "帮助与反馈", notes = "帮助与反馈")
    @PostMapping(value = "/addSuggest")
    public Result<String> addSuggest(@RequestBody SuggestReq tbSuggest, @RequestHeader("X-Access-Token") String token) {
        HanHaiMember hanHaiMember = shiroRealm.checkUserTokenIsEffectHanHaiAccount(token);
        TbSuggest tbSuggest1 = new TbSuggest();
        BeanUtils.copyProperties(tbSuggest, tbSuggest1);
        tbSuggest1.setUserId(hanHaiMember.getId());
        tbSuggestService.save(tbSuggest1);
        return Result.OK("添加成功！");
    }


}
